#
# spec file for package ghostview (Version 1.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ghostview
BuildRequires:  update-desktop-files xorg-x11 xorg-x11-devel
License:        GPL-2.0+
Group:          Productivity/Publishing/PS
Provides:       gsview ghstview 
Obsoletes:      gsview
Requires:       ghostscript_x11
Conflicts:      gs_serv gs_vga
AutoReqProv:    on
Version:        1.5
Release:        446.3
Summary:        Ghostview
Source:         ghostview-1.5.tar.bz2
Source1:        ghostview.desktop
Source2:        ghostview.png
Patch:          ghostview-1.5.dif
Patch1:         ghostview-1.5-ad.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"
%global _mandir     %{_exec_prefix}/man
%define _x11data    %{_exec_prefix}/lib/X11
%define _appdefdir  %{_x11data}/app-defaults
%else
%define _x11data    %{_datadir}/X11
%define _appdefdir  %{_x11data}/app-defaults
%endif

%description
Ghostview offers an X11 GUI for viewing PostScript files. This is an
X11 interface to ghostscript.



Authors:
--------
    Tim Theisen <tim@cs.wisc.edu>

%prep
%setup -q
%patch
%patch1

%build
xmkmf -a
make CCOPTIONS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make install     DESTDIR=%{buildroot}
make install.man DESTDIR=%{buildroot}
%suse_update_desktop_file -i ghostview Office Viewer

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/share/applications/ghostview.desktop
/usr/share/pixmaps/ghostview.png
%{_bindir}/ghostview
%config %{_appdefdir}/Ghostview
%doc %{_mandir}/man1/ghostview.1x.gz

%changelog
* Tue Nov  8 2011 werner@suse.de
- Add Num_Lock as modifire for Button Down (bnc#727906)
* Tue Apr  8 2008 werner@suse.de
- Resolve file conflict by renaming gv.png to ghostview.png
* Sun Jan 13 2008 coolo@suse.de
- remove desktop-data from buildrequires
* Thu Jul  5 2007 coolo@suse.de
- put desktop file and icon into package
* Thu Nov  9 2006 werner@suse.de
- Get file stat before using it (bug #216970)
* Thu Aug 24 2006 werner@suse.de
- Don't package icon already present in desktop-data-SuSE
* Wed Aug  2 2006 werner@suse.de
- Make it build with X11R7
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Thu May 12 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Nov 17 2004 werner@suse.de
- Add gv.png pixmap to file list
* Wed Apr 28 2004 werner@suse.de
- Avoid compiler warnings
* Sat Aug 16 2003 adrian@suse.de
- install desktop file from kappfinder
* Fri Jun 13 2003 kukuk@suse.de
- Rename to ghostview [Bug #27088]
- Add BuildRoot
- Fix filelist
* Fri Nov  8 2002 werner@suse.de
- Remove XCOMM definition to make new cpp happy
* Sat Dec  9 2000 nashif@suse.de
- sorted
* Mon Sep 20 1999 ro@suse.de
- added Requires ghostscript_x11
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 ro@suse.de
- dont redeclare sys_errlist for glibc
* Thu Feb 13 1997 werner@suse.de
- Compiled and packed under X11R6.1
